using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Model;
using JuSNS.Factory;
using System.Reflection;

namespace JuSNS.Home
{
    public class ParseUserLog
    {
        static protected IParseUserLog dal;
        static ParseUserLog()
        {
            dal = DataAccess.CreateParseUserLog();
        }
        /// <summary>
        /// 解析用户日志
        /// </summary>
        /// <param name="info">用户日志信息</param>
        /// <param name="currentUserID">当前用户ID</param>
        /// <returns></returns>
        static public string Parse(UserLogInfo info,int currentUserID)
        {
            return dal.Parse(info, currentUserID);
        }        
    }
}
